## org.eclipse.m2m.atl.adt.ui.outline
Class RenameAction

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.outline.AtlAction
          org.eclipse.m2m.atl.adt.ui.outline.RenameAction

    public class RenameAction

extends AtlAction

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.outline.AtlAction
`theSelection`

Constructor Summary
`RenameAction(org.eclipse.jface.viewers.ISelection is)`

Method Summary
`void` `run()`

Methods inherited from class org.eclipse.m2m.atl.adt.ui.outline.AtlAction
`getElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenameAction

    public RenameAction(org.eclipse.jface.viewers.ISelection is)

Method Detail

### run

    public void run()

  Specified by:
    `run` in class `AtlAction`
  See Also:
    `AtlAction.run()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.